# About the project
Scpyce is an SQL based library for building and visualising finite element models.

_For more information on the project structure, please refer to the [Documentation](https://github.com/nicbencini/scpyce/tree/main/docs)_.

# The solver
Sign Convention:
- Positive values represent upward forces
- Negative values represent downward forces
- Clockwise moments are positive moments
- Counter Clockwise moments are negative moments

Units:
- Force: kN
- Moment: KNm
- Distance: m
- Area: m^2
- Density kN/m^3
- Moment of inertia: m^4
- Youngs Modulus: MPa
- Embodied carbon: kgCO2e/m^3
- Coefficient of thermal expansion : 1/c

# Getting started
_For examples on how to use the solver, please refer to the [Examples](https://github.com/nicbencini/scpyce/tree/main/examples)_.

# Contributing
Contributions are what make the open source community such an amazing place to learn, inspire, and create. Any contributions you make are greatly appreciated.

If you have a suggestion that would make this better, please fork the repo and create a pull request. You can also simply open an issue with the tag "enhancement". Don't forget to give the project a star! Thanks again!

# License
Distributed under the MIT License. See LICENSE.txt for more information.

# Contact
Email: nicbencini@gmail.com
LinkedIn: [Nicolo Bencini](https://www.linkedin.com/in/nicolo-bencini/)
